#! /usr/bin/env bash
BASH_FILE="$(realpath "${BASH_SOURCE[0]}")"
BASH_ROOT="$(dirname "${BASH_FILE}")"

OUTPUT='output'

function rs { echo; \
echo "→ ${2} @ ${3} : ${1}"; \
ssh -o 'LogLevel Error' -p ${1} "${2}@${3}" \
df --human-readable .
}
function rs {
echo "→ ${2} @ ${3} : ${1}"
rsync --verbose --progress \
--rsh "ssh -o 'LogLevel Error' -p ${1}" \
--archive --checksum --delete-before \
"${BASH_ROOT}/${OUTPUT}/" \
"${2}@${3}:${4}/" \
> /dev/null
}

echo

echo 'FastCGI & PHP / .'

# .cgi .lua .pl .py .sh /cgi-bin .php
rs 22 'mspe' 'envs.net' 'public_html'
# /cgi-bin
rs 22 'mspe' 'insomnia247.nl' 'public_html/mspe.insomnia247.nl'
# .cgi .lua .pl .py .sh /cgi-bin .php
rs 22 'mspe' 'tilde.team' 'public_html'
# .cgi .lua .pl .py .sh /cgi-bin .php
rs 22 'mspe' 'tilde.cafe' 'public_html'
# .cgi .php
rs 22 'mspe' 'tilde.institute' 'public_html'

echo 'FastCGI & PHP / ~'

# .cgi .lua .pl .py .sh /cgi-bin .php
rs 22 'mspe' 'tilde.club' 'public_html'

echo

echo 'PHP → CGI / .'

# Python 3.5
rs 9022 'mspe' 'remotes.club' 'web'

echo 'PHP → CGI / ~'

rs 22 'mspe' 'thunix.net' 'public_html'
rs 22 'mspe' 'yourtilde.com' 'public_html'
# rs 22 'mspe' 'tilde.ninja' 'public_html'
rs 22 'mspe' 'aussies.space' 'public_html'

echo 'PHP → CGI / http'

# Python 3.4
rs 22 'mspe' 'ctrl-c.club' 'public_html'

echo

echo 'PHP / .'

# rs 22 'mspe' 'radiofreqs.space' 'public_html'

echo

echo 'ø / .'

rs 22 'mspe' 'fr.tild3.org' 'public_html'

echo 'ø / ~'

rs 22 'mspe' 'tilde.town' 'public_html'
rs 22 'mspe' 'tilde.fun' 'html'
rs 22 'mspe' 'tilde.pink' 'public_html'
rs 22 'mspe' 'heathens.club' 'www'
rs 22 'mspe' 'dimension.sh' 'public_html'
# rs 22 'mspe' 'southlondon.cc' 'public_html'
rs 22 'mspe' 'squiggle.city' 'public_html'

echo 'ø / http'

rs 22 'mspe' 'rw.rs' 'public_html'


# rs 22 'marc' 'radiofreqs.space' 'public_html'
# rs 22 'mspe' 'hamish.space' 'public_html'
rs 22 'mspe' 'tilde.guru' 'public_html'
